In a nutshell, ESP-LINK functions as an intelligent ESP8266 Wi-Fi "co-processor."  In this instance, ESP-LINK can establish a Wi-Fi IP-based virtual serial link to the nRF52832.  This allows for the ESP8266-nRF52832 combination to serve as an inexpensive MySensors serial gateway which may be positioned remote from whichever computer is running the MySensors controller software.  This would, potentially, also allow additional wireless MySensors serial gateways--each with its own unique Wi-Fi virtual serial connection back to the Mysensors controller--to be positioned wherever needed to improve wireless coverage.  For further information, see:  https://github.com/jeelabs/esp-link 

The nRF52832 may be programmed using SWDIO and SWDCLK over the standard ARM 10-pin surface mounted boxed connector.

To build this project:
1.  Install ESP-LINK onto the ESP8266 Wemos D1 Mini (see:  https://github.com/jeelabs/esp-link).
2.  Solder parts onto Shield.
3.  Upload MySensors Serial Gateway to nRF52832 using the Arduino IDE and the 10-pin connector, selecting "Nordic nRF52 DK" as the Arduino board type.
4.  Plug the assembled Shield into the Wemos D1 Mini.
5.  Plug the Wemos D1 Mini into a USB power source.  Done!  

